node {
        try {

                /* Variables */
                /* Si erreur de permission taper cette commande sudo chmod 666 /var/run/docker.sock */
                stage('SERVICE - Git checkout'){
                        git credentialsId: '1b12d3e3-6bad-4d31-a3be-420156080f97', url: 'https://gitlab.com/gui.cagniard/gotom.git'
                }

                stage('SERVICE - Go unit test'){
                       dir ('webAPI/provider') {
                                sh "go test"
                        }
                }

                
                stage('DOCKER - Build image dataBase') {
                        withDockerRegistry(url: 'https://registry.gitlab.com/gui.cagniard/gotom', credentialsId: '1b12d3e3-6bad-4d31-a3be-420156080f97'){
                            dir ('dataBase/') {
                                def myImage = docker.build  "registry.gitlab.com/gui.cagniard/gotom/db"
                                myImage.push()
                            }
                        }                        
                }

                stage('DOCKER - Build image webAPI') {
                       withDockerRegistry(url: 'https://registry.gitlab.com/gui.cagniard/gotom', credentialsId: '1b12d3e3-6bad-4d31-a3be-420156080f97'){
                            dir ('webAPI/') {
                                def myImage = docker.build  "registry.gitlab.com/gui.cagniard/gotom/web"
                                myImage.push()
                            }
                        }
                }

                stage('DOCKER - Ansible') {
                        ansiblePlaybook playbook: 'ansible/prodplaybook.yml', inventory: 'ansible/inventory.ini'
                }

        }
        finally {
                /*cleanWs()*/
        }

}
